MySAPCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.packagedapp.mysap.basis.MySAPCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.packagedapp.mysap.basis
Interface MySAPCluster

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface MySAPCluster

extends AppServerCluster

Naming Rules:
  0="SAPSystemSID,systemHome" 1="managedSystemName"
Persistable:
  true
Top Level:
  true
Display Name:
  SAPSystemSID,systemHome

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getSAPSystemSID()`
`java.lang.String` | `getSystemHome()`
`boolean` | `hasSAPSystemSID()`
`boolean` | `hasSystemHome()`
`void` | `setSAPSystemSID(java.lang.String sid)`
`void` | `setSystemHome(java.lang.String dbHostName)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getSAPSystemSID

    java.lang.String getSAPSystemSID()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSAPSystemSID

    void setSAPSystemSID(java.lang.String sid)

### hasSAPSystemSID

    boolean hasSAPSystemSID()

### getSystemHome

    java.lang.String getSystemHome()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemHome

    void setSystemHome(java.lang.String dbHostName)

### hasSystemHome

    boolean hasSystemHome()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD